WordPress 3.5 Major Upgrade – A Word of Caution Before You Update

WordPress 3.5 released 12/11/2012 with new features and improvements. Upgrading and troubleshooting WordPress 3.5. A word of caution before your update!

WordPress 3.5 was released to the public on December 11, 2012.

They’ve named this one “Elvin” in honor of

drummer Elvin Jones

, who played with John Coltrane in addition to many others.

This major release is like an early Christmas present for bloggers and developers full of new features and improvements.


Check out this quick video to see some of the highlights of WordPress 3.5:

Although there are no noted security fixes in WordPress 3.5, there are several bug fixes and feature changes to improve the quality of WordPress.

Highlights include a new media manager, new default theme with responsive design (Twenty Twelve), Admin enhancements, changes to the Javascript Library, and more. Be sure to check out the list at

Codex Version 3.5

.


Upgrading to WordPress version 3.5

A word of caution before you update! This is a major WordPress upgrade. Certain plugins or themes could break your WordPress site. Before you push the “Please update now” link, be sure you have a full backup of all your site files and database.

One of my favorite tools for backing up WordPress is the *


BackupBuddy


plugin.

The link above is my affiliate link. Save 25% off your order with coupon code

WPSECURITYLOCKS

.

Some plugins are already being reported to us that have issues with WordPress 3.5, including the scan function of the Wordfence Security plugin. I am sure that plugin developers are working feverishly to get them ready for version 3.5.

People ask me all the time, “Is it safe to upgrade WordPress now?” The answer is simple. If you are not using a plugin or theme that will conflict with WordPress 3.5 then you should be fine. Check your plugins and theme to see if they are compatible. Copy your site over to a test environment and try the upgrade there first. You certainly don’t want to break your “live” site. (If you need help,

contact me

.)


Very Helpful Links:

WordPress News:

WordPress 3.5 “Elvin”

< Official Press Release

WordPress Codex:

Version 3.5

< Summary of highlights and features


Troubleshooting WordPress 3.5 Master List


< A MUST READ OF KNOWN 3.5 ISSUES!

WordPress Codex:

Using Your Browser to Diagnose JavaScript Errors

WordPress Trac:

Milestone 3.5

< Tickets active and closed

WordPress Codex:

Changelog/3.5

< This should be updated soon


Download WordPress 3.5

WordPress Codex:

Upgrading WordPress Extended

< Our preferred upgrade method


UPDATE 12/12/2012 at 12:50pm CST:

A big thank you goes out to Mark Maunder, the developer of Wordfence Security, for notifying us via email, in which he points out a new security enhancement in WordPress 3.5. Nice!!

If you’re wondering why many of your plugins are emitting the warning:
“PHP Warning: Missing argument 2 for wpdb::prepare()”
WordPress changed a policy in their code. They started requiring a second parameter when plugin authors call the wpdb::prepare function. They made this change as a security feature to help prevent SQL injection attacks.
WordPress plugin core developer

Andrew Nacin has a nice writeup

that gives some detail on why the change was made.
Mark just released an update for the

Wordfence

Security plugin update to fix this issue.


Leave Your Feedback

Please share your experience with upgrading to WordPress 3.5. Did everything go ok? If you find a plugin or theme with issues, let us know. What’s your favorite new feature? Leave your comment below.

1 2

Share